<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_20) on Mon Jun 13 10:56:17 CEST 2011 -->
<TITLE>
PNome
</TITLE>

<META NAME="date" CONTENT="2011-06-13">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="PNome";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../Polynomial/Polynomial.html" title="class in Polynomial"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?Polynomial/PNome.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="PNome.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
Polynomial</FONT>
<BR>
Class PNome</H2>
<PRE>
java.lang.Object
  <IMG SRC="../resources/inherit.gif" ALT="extended by "><B>Polynomial.PNome</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD>java.lang.Comparable&lt;<A HREF="../Polynomial/PNome.html" title="class in Polynomial">PNome</A>&gt;</DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <B>PNome</B><DT>extends java.lang.Object<DT>implements java.lang.Comparable&lt;<A HREF="../Polynomial/PNome.html" title="class in Polynomial">PNome</A>&gt;</DL>
</PRE>

<P>
Allows to define a monomial of a polynomial.
<P>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../Polynomial/PNome.html#PNome()">PNome</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initialize a newly created PNome object with null value (0*x^0).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../Polynomial/PNome.html#PNome(double, int)">PNome</A></B>(double&nbsp;a,
      int&nbsp;pow)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initialize a newly created PNome object with standart polynomial
 variable 'x'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../Polynomial/PNome.html#PNome(double, int, char)">PNome</A></B>(double&nbsp;a,
      int&nbsp;pow,
      char&nbsp;var)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initialize a newly created PNome object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../Polynomial/PNome.html#PNome(java.lang.String)">PNome</A></B>(java.lang.String&nbsp;nome)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initialize a newly created PNome object with a string containing
 the monomial representation.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../Polynomial/PNome.html#PNome(java.lang.String, char)">PNome</A></B>(java.lang.String&nbsp;nome,
      char&nbsp;var)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initialize a newly created PNome object with a string containing
 the monomial representation.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../Polynomial/PNome.html#compareTo(Polynomial.PNome)">compareTo</A></B>(<A HREF="../Polynomial/PNome.html" title="class in Polynomial">PNome</A>&nbsp;obj)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Compare monomial powers between the current object and an other.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../Polynomial/PNome.html#fromString(java.lang.String)">fromString</A></B>(java.lang.String&nbsp;nome)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parse the string argument as monomial (in the current object)
 with 'x' as monomial variable.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../Polynomial/PNome.html#fromString(java.lang.String, char)">fromString</A></B>(java.lang.String&nbsp;nome,
           char&nbsp;dvar)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;double</CODE></FONT></TD>
<TD><CODE><B><A HREF="../Polynomial/PNome.html#getA()">getA</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the monomial coefficient.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../Polynomial/PNome.html#getPow()">getPow</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the monomial power.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../Polynomial/PNome.html#setA(double)">setA</A></B>(double&nbsp;a)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the monomial coefficient.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../Polynomial/PNome.html#setPow(int)">setPow</A></B>(int&nbsp;pow)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the monomial power.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../Polynomial/PNome.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string object representing this monomial with the variable
 defined in the monomial.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../Polynomial/PNome.html#toString(char)">toString</A></B>(char&nbsp;var)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string object representing this monomial with an user
 defined variable.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="PNome(double, int, char)"><!-- --></A><H3>
PNome</H3>
<PRE>
public <B>PNome</B>(double&nbsp;a,
             int&nbsp;pow,
             char&nbsp;var)</PRE>
<DL>
<DD>Initialize a newly created PNome object.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>a</CODE> - monomial coefficient.<DD><CODE>pow</CODE> - monomial power.<DD><CODE>var</CODE> - polynomial variable.</DL>
</DL>
<HR>

<A NAME="PNome(double, int)"><!-- --></A><H3>
PNome</H3>
<PRE>
public <B>PNome</B>(double&nbsp;a,
             int&nbsp;pow)</PRE>
<DL>
<DD>Initialize a newly created PNome object with standart polynomial
 variable 'x'.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>a</CODE> - monomial coefficient.<DD><CODE>pow</CODE> - monomial power.</DL>
</DL>
<HR>

<A NAME="PNome()"><!-- --></A><H3>
PNome</H3>
<PRE>
public <B>PNome</B>()</PRE>
<DL>
<DD>Initialize a newly created PNome object with null value (0*x^0).
<P>
</DL>
<HR>

<A NAME="PNome(java.lang.String, char)"><!-- --></A><H3>
PNome</H3>
<PRE>
public <B>PNome</B>(java.lang.String&nbsp;nome,
             char&nbsp;var)
      throws <A HREF="../Polynomial/PolynomialException.html" title="class in Polynomial">PolynomialException</A></PRE>
<DL>
<DD>Initialize a newly created PNome object with a string containing
 the monomial representation.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>nome</CODE> - string containing the monomial representation to be parsed.<DD><CODE>var</CODE> - polynomial/monomial variable (must be used in nome).
<DT><B>Throws:</B>
<DD><CODE><A HREF="../Polynomial/PolynomialException.html" title="class in Polynomial">PolynomialException</A></CODE> - if the string does not contain a parsable
        monomial.</DL>
</DL>
<HR>

<A NAME="PNome(java.lang.String)"><!-- --></A><H3>
PNome</H3>
<PRE>
public <B>PNome</B>(java.lang.String&nbsp;nome)
      throws <A HREF="../Polynomial/PolynomialException.html" title="class in Polynomial">PolynomialException</A></PRE>
<DL>
<DD>Initialize a newly created PNome object with a string containing
 the monomial representation. The monomial variable must be 'x'.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>nome</CODE> - string containing the monomial representation to be parsed.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../Polynomial/PolynomialException.html" title="class in Polynomial">PolynomialException</A></CODE> - if the string does not contain a parsable
        monomial.</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getA()"><!-- --></A><H3>
getA</H3>
<PRE>
public double <B>getA</B>()</PRE>
<DL>
<DD>Gets the monomial coefficient.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>monomial coefficient.</DL>
</DD>
</DL>
<HR>

<A NAME="getPow()"><!-- --></A><H3>
getPow</H3>
<PRE>
public int <B>getPow</B>()</PRE>
<DL>
<DD>Gets the monomial power.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>monomial power.</DL>
</DD>
</DL>
<HR>

<A NAME="setA(double)"><!-- --></A><H3>
setA</H3>
<PRE>
public void <B>setA</B>(double&nbsp;a)</PRE>
<DL>
<DD>Sets the monomial coefficient.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>a</CODE> - monomial coefficient.</DL>
</DD>
</DL>
<HR>

<A NAME="setPow(int)"><!-- --></A><H3>
setPow</H3>
<PRE>
public void <B>setPow</B>(int&nbsp;pow)</PRE>
<DL>
<DD>Sets the monomial power.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>pow</CODE> - monomial power.</DL>
</DD>
</DL>
<HR>

<A NAME="fromString(java.lang.String)"><!-- --></A><H3>
fromString</H3>
<PRE>
public void <B>fromString</B>(java.lang.String&nbsp;nome)
                throws <A HREF="../Polynomial/PolynomialException.html" title="class in Polynomial">PolynomialException</A></PRE>
<DL>
<DD>Parse the string argument as monomial (in the current object)
 with 'x' as monomial variable. The string must only contain a
 monomial.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>nome</CODE> - : string containing the nome representation to be parsed.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../Polynomial/PolynomialException.html" title="class in Polynomial">PolynomialException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="fromString(java.lang.String, char)"><!-- --></A><H3>
fromString</H3>
<PRE>
public void <B>fromString</B>(java.lang.String&nbsp;nome,
                       char&nbsp;dvar)
                throws <A HREF="../Polynomial/PolynomialException.html" title="class in Polynomial">PolynomialException</A></PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../Polynomial/PolynomialException.html" title="class in Polynomial">PolynomialException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="compareTo(Polynomial.PNome)"><!-- --></A><H3>
compareTo</H3>
<PRE>
public int <B>compareTo</B>(<A HREF="../Polynomial/PNome.html" title="class in Polynomial">PNome</A>&nbsp;obj)</PRE>
<DL>
<DD>Compare monomial powers between the current object and an other.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE>compareTo</CODE> in interface <CODE>java.lang.Comparable&lt;<A HREF="../Polynomial/PNome.html" title="class in Polynomial">PNome</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>obj</CODE> - Object compared to the current object.
<DT><B>Returns:</B><DD>return 1 if the current object power if greater than the
        obj object power, -1 if the current object power if smaller than
        the obj object power and else 0.</DL>
</DD>
</DL>
<HR>

<A NAME="toString(char)"><!-- --></A><H3>
toString</H3>
<PRE>
public java.lang.String <B>toString</B>(char&nbsp;var)</PRE>
<DL>
<DD>Returns a string object representing this monomial with an user
 defined variable.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>var</CODE> - variable used for the representation.
<DT><B>Returns:</B><DD>a string representation of the value of this monomial.</DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public java.lang.String <B>toString</B>()</PRE>
<DL>
<DD>Returns a string object representing this monomial with the variable
 defined in the monomial.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE>toString</CODE> in class <CODE>java.lang.Object</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>a string representation of the value of this monomial.</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../Polynomial/Polynomial.html" title="class in Polynomial"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?Polynomial/PNome.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="PNome.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
